frequencyfiltration

Filter variants within a VCF file by numeric fields containing frequency/count information.

Quick Start

$ pbrun frequencyfiltration  \
    --in-vcf input.vcf \
    --out-vcf output.vcf \
    --or-expression "gnomad_AF <= 0.02" \
    --or-expression "dbsnpCOMMON != 1"

frequencyfiltration Reference

Filter variants within a VCF file by numeric fields.

Input/Output file options

--in-vcf IN_VCF

Path to the input VCF file to filter. (default: None)

Option is required.

--out-vcf OUT_VCF

Path to the output filtered VCF file. (default: None)

Option is required.

--excluded-vcf EXCLUDED_VCF

A path to write variants which fail filtration.

(default: None)

Options specific to this tool

--and-expression AND_EXPRESSION

A string of the form "VARIABLE OPERATOR THRESHOLD" to use for filtering (e.g. "AF < 0.02"). A variant must pass all AND expressions to pass filtering. (default: None)

--or-expression OR_EXPRESSION

A string of the form "VARIABLE OPERATOR THRESHOLD" to use for filtering (e.g. "AF < 0.02"). A variant need only pass a single OR expression to pass filtering. (default: None)

--drop-missing

Drop variants that are missing any fields used in filtering expressions from output. (default: None)

Common options:

--logfile LOGFILE

Path to the log file. If not specified, messages will only be written to the standard error output. (default: None)

--tmp-dir TMP_DIR

Full path to the directory where temporary files will be stored.

--with-petagene-dir WITH_PETAGENE_DIR

Full path to the PetaGene installation directory. By default, this should have been installed at /opt/petagene. Use of this option also requires that the PetaLink library has been preloaded by setting the LD_PRELOAD environment variable. Optionally set the PETASUITE_REFPATH and PGCLOUD_CREDPATH environment variables that are used for data and credentials (default: None)

--keep-tmp

Do not delete the directory storing temporary files after completion.

--license-file LICENSE_FILE

Path to license file license.bin if not in the installation directory.

--no-seccomp-override

Do not override seccomp options for docker (default: None).

--version

View compatible software versions.